Name: xdrawchem
Version: 1.8.5
Release: alt1

Summary: XDrawChem is a two-dimensional molecule drawing program
Summary(ru_RU.KOI8-R): XDrawChem --    

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: GPL
Group: Sciences/Chemistry
Url: http://xdrawchem.sourceforge.net/

Source: %name-%version.tar.bz2
Source1: xdrawchem.menu
Source2: xdrawchem.png
Source3: %name-%version.ru.po

# manually removed: glibc-devel-static
# Automatically added by buildreq on Mon Jul 05 2004
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glib2 hostinfo libopenbabel-devel libqscintilla-devel libqt3-devel libqt3-qsa-devel libstdc++-devel pkgconfig

BuildPreReq: libopenbabel-devel >= 1.100.1-alt1

%description
XDrawChem is a two-dimensional molecule drawing program for Unix
operating systems.  It is similar in functionality to other molecule
drawing programs such as ChemDraw (TM, CambridgeSoft).  It can read
and write MDL Molfiles and CML files to allow sharing between
XDrawChem and other chemistry applications.

%description -l ru_RU.KOI8-R
XDrawChem --       
  Unix.      
 ,   ChemDraw (TM, CambridgeSoft).  
    MDL Molfiles  CML,   
XDrawChem      .

%prep
%setup -q
cp -f %{SOURCE3} translation/%name-ru.po

%build
export QTDIR="%_libdir/qt3"
export PATH=%_libdir/qt3/bin:$PATH
export CFLAGS="-I$QTDIR/include %optflags"
export CXXFLAGS="-I$QTDIR/include %optflags"
#export LDFLAGS="-L$QTDIR/lib"
%configure --with-qt-thread=no
%make_build
msg2qm translation/%name-ru.po translation/%{name}_ru.qm

%install
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_datadir/%name
install -m 755 xdrawchem/xdrawchem %buildroot%_bindir
install -m 644 ring/xdrawchemrc %buildroot%_datadir/%name
install -m 644 ring/*.{xpm,cml,qm} %buildroot%_datadir/%name

install -D -m 644 %SOURCE1 %buildroot/%_menudir/xdrawchem
install -D -m 644 %SOURCE2 %buildroot/%_iconsdir/xdrawchem.png
install -m 644 translation/%{name}_ru.qm %buildroot%_datadir/%name/%{name}_ru.qm

%post
%update_menus

%postun
%clean_menus

%files
%doc doc/*.txt doc/*.html doc/*.png README.txt TODO.txt INSTALL.txt
%_bindir/*
%_datadir/xdrawchem
%_menudir/xdrawchem
%_iconsdir/xdrawchem.png

%changelog
* Sat Jul 31 2004 Vitaly Lipatov <lav@altlinux.ru> 1.8.5-alt1
- new version
- fix menu entry (bug #4283)
- add russian translation

* Fri May 14 2004 Ott Alex <ott@altlinux.ru> 1.8.2-alt1
- New version

* Wed May 12 2004 Ott Alex <ott@altlinux.ru> 1.8.1-alt1
- New version

* Tue Apr 13 2004 Ott Alex <ott@altlinux.ru> 1.8-alt1
- New version

* Mon Feb 16 2004 Ott Alex <ott@altlinux.ru> 1.7.7-alt1
- New version
- added menu entry

* Wed Nov 26 2003 Ott Alex <ott@altlinux.ru> 1.7.6-alt1
- New version

* Mon Sep 15 2003 Ott Alex <ott@altlinux.ru> 1.7.5-alt1
- New version

* Fri Sep 05 2003 Ott Alex <ott@altlinux.ru> 1.7.4-alt2
- fixing spec

* Sun Aug 03 2003 Ott Alex <ott@altlinux.ru> 1.7.4-alt1
- New release

* Thu Jul 17 2003 Ott Alex <ott@altlinux.ru> 1.7.3-alt1
- New release

* Mon Jun 02 2003 Ott Alex <ott@altlinux.ru> 1.7.1-alt1
- Initial build

